description

# EventSource class Null safety

Inheritance
  - Object
  - EventTarget
  - EventSource
Annotations
  - @Native("EventSource")

## Constructors

EventSource(String url, {dynamic withCredentials: false})
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onError → Stream<Event>
  Stream of `error` events handled by this EventSource.
  read-only
onMessage → Stream<MessageEvent>
  Stream of `message` events handled by this EventSource.
  read-only
onOpen → Stream<Event>
  Stream of `open` events handled by this EventSource.
  read-only
readyState → int?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
url → String?
  read-only
withCredentials → bool?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
close() → void
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

CLOSED → const int
  `2`
CONNECTING → const int
  `0`
errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of EventSource. [...]
  `const EventStreamProvider<Event>('error')`
messageEvent → const EventStreamProvider<MessageEvent>
  Static factory designed to expose `message` events to event handlers that are not necessarily instances of EventSource. [...]
  `const EventStreamProvider<MessageEvent>('message')`
OPEN → const int
  `1`
openEvent → const EventStreamProvider<Event>
  Static factory designed to expose `open` events to event handlers that are not necessarily instances of EventSource. [...]
  `const EventStreamProvider<Event>('open')`